﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing IDP Configuration Files</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing IDP Configuration Files</h1>
        <p>You can&#160;manage the Single Sign-On (SSO) configuration files such as Identity Provider (IDP) file(s), Service Provider (SP) file(s), and Keystore file(s) in Saviynt Identity Governance and Administration (IGA) via the <strong>IDP Configuration</strong> page.&#160;</p>
        <h1 id="ManagingIDPConfigurationFiles-BeforeYouBegin">Before You Begin</h1>
        <p>Before updating the IDP files from UI, ensure the following critical points:</p>
        <ul>
            <li>
                <p>Check and validate all the changes before updating the configuration file from UI.</p>
            </li>
            <li>
                <p>Configuration updates that are done from UI cannot be rolled back.</p>
            </li>
            <li>
                <p>Depending on the file type (SP, IDP, or Keystore) being created through UI, the filename of the file is appended with "_sp" (for SP.xml), with "_idp" (for IDP.xml), or with "_keystore" (for a Keystore) file.</p>
            </li>
        </ul>
        <h1 id="ManagingIDPConfigurationFiles-UnderstandingtheSupportedFileFormat">Understanding the Supported File Format</h1>
        <p>This table includes the file formats that IGA support for various functions.</p>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 254.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 253.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 253.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">File</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Extension</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">IDP </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Create new File, upload, download, modify, revert and delete</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>
                                <label class="param-value">.xml</label>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SP</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Create new File, upload, download, modify, revert and delete</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p>
                                <label class="param-value">.xml</label>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Keystore</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Upload, download, modify, revert and delete</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p>
                                <label class="param-value">.jks</label>
                            </p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h1 id="ManagingIDPConfigurationFiles-ManagingtheSAMLIdentityProviderFile">Managing the SAML Identity Provider File</h1>
        <p>You can create, upload, edit, download, delete and revert the IDP files from the <strong>IDP Configuration</strong> page.</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Settings</strong>, click <strong>IDP Configuration</strong>.<br />The <strong>IDP Configuration</strong> page is displayed.<br /></p>
                <p>
                    <img src="../Resources/Images/IDP Configuration.png" style="width: 1200px;height: 500px;" />
                </p>
            </li>
            <li>
                <p>Perform any required action listed in the following table:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Create New File</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To create a new IDP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click <strong>Actions &gt; Create New File</strong>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>Create File</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Select <strong>IDP </strong>from the <strong>File Type</strong> drop-down list.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the <strong>File Name</strong> field, enter the name of the file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Next</strong>.</p>
                                        </li>
                                    </ol>
                                </li>
                                <li>
                                    <p class="table-text">Enter the content of the file or copy the content of the file in the <strong>Create File</strong> text area.&#160;</p>
                                </li>
                                <li>
                                    <p class="table-text">Click <strong>Submit</strong>. After the file is created successful, the <strong>File Created Successfully</strong> message is displayed at the top of the page.<br />The newly created file is appended with <strong>_idp.xml</strong> and displayed in the UI.&#160;</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload the IDP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click <b>Actions &gt; Upload New File</b>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Select <strong>IDP</strong> from the <strong>File Type</strong> drop-down list.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the <strong>File name</strong> field, enter the name of the file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Select</strong> next to the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file to upload, and click <strong>Open</strong>.<br />The selected file is displayed in the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Upload</strong> to upload the file to IGA. The newly uploaded file is added to IGA ans <strong>_idp.xml</strong> is appended to the filename.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">From Release v5.5 SP3 onwards, If a file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the cacerts file already exists with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                            </div>
                                        </li>
                                    </ol>
                                    <ol style="list-style-type: lower-alpha;" MadCap:continue="true" MadCap:conditions="Default.v55X,Default.v2020X">
                                        <li>
                                            <p>Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload a New Version</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload a new version of a particular IDP file in IGA:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the IDP file you want to upload a new version, and then click the <strong>Upload</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If you want to replace the selected file with another file, then click <strong>Change</strong>.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Submit</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Download</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To download the IdP file to your local system:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the IDP file which you want to download, and then click the <strong>Download </strong>icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">You can also download a particular version of the selected IDP file:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">From the dialog box, select the version number of the IDP file you want to download, and then click <strong>Download</strong>.</p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">The versioning feature is available from Release 5.5 SP3 onwards.</p>
                                            </div>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Delete</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To delete the IDP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the file you want to delete and click the <strong>Delete</strong> icon.<br /><strong>Are you sure?</strong> confirmation message appears.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click <strong>Yes</strong> to delete the file.</p>
                                    <p MadCap:conditions="Default.v55X,Default.v2020X">The <strong>Service Restart</strong> dialog box is displayed.</p>
                                </li>
                                <li MadCap:conditions="Default.v2020X,Default.v55X">
                                    <p class="table-text">Click <strong>Restart Now&#160;</strong>to&#160;make the change in the configuration take effect.<br />The file is deleted from the UI but is available under the backup folder.<br /></p>
                                </li>
                                <li>
                                    <p class="table-text">You can also delete a particular version of the selected IDP file:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">From the dialog box, select the version number of the inactive IDP file you want to delete, and then click <strong>Delete</strong>.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">The versioning feature is available from Release 5.5 SP3 onwards.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Yes</strong> to delete the file.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p><strong>Edit</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To modify the IDP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the existing IDP file you want to modify from the UI, and then click the <strong>Edit</strong> icon.<br />The&#160;<strong>Create File</strong> dialog box is displayed.&#160;</p>
                                </li>
                                <li>
                                    <p class="table-text">Perform the necessary changes and click <strong>Submit</strong>.</p>
                                </li>
                                <li MadCap:conditions="Default.v55X,Default.v2020X">
                                    <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.<br /></p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Revert</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Using version control, you can keep a record of the changes made to the IDP files over time and revert to an older or newer version when needed.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">Available from Release v5.5 SP3 onwards.</p>
                            </div>
                            <p class="table-text">To revert a&#160;IDP file to another version:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the IDP file, which you want to revert, and then click the <strong>Versions icon</strong>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the file which you want to revert, and then click <strong>Revert</strong>.<br />If the revert is successful, the <strong>Version changed successfully</strong> message appears at the top of the page.</p>
                                </li>
                                <li MadCap:conditions="Default.v55X,Default.v2020X">
                                    <p class="table-text">The <strong>Service Restart</strong> dialog box is displayed. Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h1 id="ManagingIDPConfigurationFiles-ManagingtheSAMLServiceProviderFile">Managing the SAML Service Provider File</h1>
        <p>You can create, upload, edit, download, delete, and revert SP files from the <strong>IDP Configuration</strong> page.</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; IDP Configuration</strong>.<br />The <strong>IDP Configuration</strong> page is displayed.</p>
            </li>
            <li>
                <p>Perform any required action listed in the following table:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Create New File</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To create a new SP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click <strong>Actions &gt; Create New File</strong>.<br />The <strong>Create File</strong> dialog box is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>Create File</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Select <strong>SP </strong>from the <strong>File Type</strong> drop-down list.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the <strong>File name</strong> field, enter the name of the file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Next</strong>.</p>
                                        </li>
                                    </ol>
                                </li>
                                <li>
                                    <p class="table-text">Enter the content of the file or copy the content of the file in the <strong>Create File</strong> text area.&#160;</p>
                                </li>
                                <li>
                                    <p class="table-text">Click <strong>Submit</strong>. After the file is created successful, the <strong>File Created Successfully</strong> message is displayed at the top of the page.<br />The newly created file is appended with <strong>_sp.xml</strong> and displayed in the UI.&#160;</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload a SP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click the <strong>Upload</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Select <strong>SP</strong> from the <strong>File Type</strong> drop-down list.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the <strong>File Name</strong> field, enter the name of the file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Select</strong> next to the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file to upload, and click <strong>Open</strong>.<br />The selected file is displayed in the <strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Upload</strong> to upload the file to IGA. The newly created file is appended with&#160;<strong>_sp.xml</strong>&#160;and displayed in the UI.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">From Release v5.5 SP3 onwards, If a file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the cacerts file already exists with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                            </div>
                                        </li>
                                        <li MadCap:conditions="Default.v55X,Default.v2020X">
                                            <p class="table-text">Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="note"><strong>Upload a New Version</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload a new version of a particular SP file in IGA:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the SP file you want to upload a new version, and then click the <strong>Upload</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If you want to replace the selected file with another file, then click <strong>Change</strong>.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Submit</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="note"><strong>Download</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To download the SP file to your local system:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the SP file which you want to download, and then click the <strong>Download </strong>icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">You can also download a particular version of the selected SP file:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">From the dialog box, select the version number of the SP file you want to download, and then click <strong>Download</strong>.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">The versioning feature is available from Release 5.5 SP3 onwards.</p>
                                            </div>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Delete</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To delete the SP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the file you want to delete and click the <strong>Delete</strong> icon.<br /><strong>Are you sure?</strong> confirmation message appears.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click <strong>Yes</strong> to delete the file.</p>
                                </li>
                                <li MadCap:conditions="Default.v55X,Default.v2020X">
                                    <p class="table-text">Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                </li>
                                <li>
                                    <p class="table-text">You can also delete a particular version of the selected SP file:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">From the dialog box, select the version number of the inactive SP file you want to download, and then click <strong>Delete</strong>.</p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">Available from Release v5.5 SP3 onwards.</p>
                                            </div>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Edit</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To modify the SP file:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the existing SP file you want to modify from the UI, and then click the <strong>Edit</strong> icon.<br />The&#160;<strong>Create File</strong> dialog box is displayed.&#160;</p>
                                </li>
                                <li>
                                    <p class="table-text">Perform the necessary changes and click <strong>Submit</strong>.</p>
                                </li>
                                <li MadCap:conditions="Default.v55X,Default.v2020X">
                                    <p class="table-text"> Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p><strong>Revert</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Using version control, you can keep a record of the changes made to the IDP files over time and revert to an older or newer version when needed.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">Available from Release v5.5 SP3 onwards.</p>
                            </div>
                            <p class="table-text">To revert a&#160;SP file to another version, perform the following steps:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the SP file, which you want to revert, and then click the <strong>Versions icon</strong>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the inactive file which you want to revert, and then click <strong>Revert</strong>.<br />If the revert is successful, the <strong>Version changed successfully</strong> message appears at the top of the page.</p>
                                </li>
                                <li MadCap:conditions="Default.v55X,Default.v2020X">
                                    <p class="table-text">Click <strong>Restart Now&#160;</strong>for the change to take effect.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h1 id="ManagingIDPConfigurationFiles-ManagingtheKeystoreFiles"><a name="ManagingIDPConfigFiles-MangKeyStoreFiles"></a>Managing the Keystore Files</h1>
        <p>You can upload, delete, and revert the Keystore files from the <strong>IDP Configuration</strong> page.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">You cannot modify the Keystore file.</p>
        </div>
        <ol>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; IDP Configuration</strong>.<br />The <strong>IDP Configuration</strong> page is displayed.</p>
            </li>
            <li>
                <p>Perform any required action listed in the following table:</p>
            </li>
        </ol>
        <div class="table-wrap">
            <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p><strong>Upload</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload the keystore in IGA:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click <strong>Actions &gt; Upload New File</strong>.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Select <strong>Keystore </strong>from the <strong>File Type</strong> drop-down list.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">In the <strong>File Name</strong> field, enter the name of the file.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If you want to replace the selected file with another file, then click <strong>Change</strong>.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Upload a New Version</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To upload a new version of a particular keystore file in IGA:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Click <strong>Admin &gt; Settings &gt; IDP Configuration</strong>.<br />The <strong>IDP Configuration</strong> page is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Select the keystore file you want upload a new version and click the <strong>Upload</strong> icon.</p>
                                </li>
                                <li>
                                    <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File </strong>box.</p>
                                        </li>
                                        <li>
                                            <p class="table-text">Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File </strong>box.<br /></p>
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If you want to replace the selected file with another file, then click <strong>Change</strong>.</p>
                                            </div>
                                        </li>
                                        <li>
                                            <p class="table-text">Click <strong>Submit</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the <strong>File Uploaded Successfully</strong> message is displayed at the top of the page.</p>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Delete</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To delete the keystore files:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the keystore file you want to delete.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click&#160;<strong>Delete</strong>.<br /><strong>Are you sure? </strong>confirmation message is displayed.</p>
                                </li>
                                <li>
                                    <p class="table-text">Click&#160;<strong>Yes</strong>&#160;to delete the file.<br />If the deletion is successful, the <strong>File Deleted Successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Revert</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">You can also keep a record of the changes made to the keystore files over time and revert to an older or newer version when needed.</p>
                            <p class="table-text">To revert a&#160;keystore file to another version, perform the following steps:</p>
                            <ol>
                                <li>
                                    <p class="table-text">Select the keystore file you want to revert, and then click the <strong>Versions</strong> icon. </p>
                                </li>
                                <li>
                                    <p class="table-text">In the dialog box, select the version number of the file you want to revert, and then click&#160;<strong>Revert</strong>.<br />If the revert is successful, the <strong>Version changed successfully</strong> message is displayed at the top of the page.</p>
                                </li>
                            </ol>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>